<?php 
/**
 * Display a loading bar from 0 to 100% increase by step of 10%
 * with default colors but also show percent info.
 * 
 * @version    $Id: progress2.php,v 1.1.1.1 2003/07/27 12:36:05 Farell Exp $
 * @author     Laurent Laville <laurent.laville@worldonline.fr>
 * @package    HTML_Progress
 */

require_once ('HTML/Progress.php');

$p = new HTML_Page();
$p->setTitle("PEAR::HTML_Progress - Example 2");
$p->setMetaData("author", "Laurent Laville");

$bar = new HTML_Progress(&$p, array('width' => '230px'));
$bar->setText(true, array('size' => '14px'));

$css =& $bar->getStyle();
$css->setStyle('body', 'background-color', '#444444');
$p->addStyleDeclaration(&$css);
$p->addBodyContent($bar->toHTML());
$p->display();

for ($i=0; $i<11; $i++) {
/*  You have to do something here  */
    $bar->display(10);
}

?>