/**
* File:         progress.js
* Description:  Manage progress bar (depending of browser)
* Created:      2003-06-22
* Author:       Laurent Laville <laurent.laville@worldonline.fr>
* Ver Product:  0.4
* Ver CVS:      $Id: progress.js,v 1.1.1.1 2003/07/27 12:36:05 Farell Exp $
* Project:      This file is part of PEAR::HTML_Progress package
* License:      This code is released under PHP License
*/

var progress;
progress = 0;

function setprogress(value)
{
        if (document.getElementById)
        {
            setprogressDOM(value)
        } 
        else if (document.all)
        {
            setprogressIE(value)
        } 
        else if (document.layers)
        {
            setprogressNS4(value)
        } 
        else 
        {
            return
        }
}

function setprogressDOM(value)
{
	progress = value;

	prog = document.getElementById('installationProgress');
	if (prog != null) prog.innerHTML = progress + " %";
	progress2 = progress / 10;
	progress2 = Math.floor(progress2);
	for (i=0; i < 10; i++)
	document.getElementById('progressCell'+i).className = "cell0";
	switch(progress2)
	{
	 case 10:
		document.getElementById('progressCell9').className = "cell1";
	 case  9:
		document.getElementById('progressCell8').className = "cell1";
	 case  8:
		document.getElementById('progressCell7').className = "cell1";
	 case  7:
		document.getElementById('progressCell6').className = "cell1";
	 case  6:
		document.getElementById('progressCell5').className = "cell1";
	 case  5:
		document.getElementById('progressCell4').className = "cell1";
	 case  4:
		document.getElementById('progressCell3').className = "cell1";
	 case  3:
		document.getElementById('progressCell2').className = "cell1";
	 case  2:
		document.getElementById('progressCell1').className = "cell1";
	 case  1:
		document.getElementById('progressCell0').className = "cell1";
	};
}

function setprogressIE(value)
{
	progress = value;

	prog = document.all['installationProgress'];
	if (prog != null) prog.innerHTML = progress + " %";
	progress2 = progress / 10;
	progress2 = Math.floor(progress2);
	for (i=0; i < 10; i++)
	document.all['progressCell'+i].className = "cell0";
	switch(progress2)
	{
	 case 10:
		document.all['progressCell9'].className = "cell1";
	 case  9:
		document.all['progressCell8'].className = "cell1";
	 case  8:
		document.all['progressCell7'].className = "cell1";
	 case  7:
		document.all['progressCell6'].className = "cell1";
	 case  6:
		document.all['progressCell5'].className = "cell1";
	 case  5:
		document.all['progressCell4'].className = "cell1";
	 case  4:
		document.all['progressCell3'].className = "cell1";
	 case  3:
		document.all['progressCell2'].className = "cell1";
	 case  2:
		document.all['progressCell1'].className = "cell1";
	 case  1:
		document.all['progressCell0'].className = "cell1";
	};
}

function setprogressNS4(value)
{
	progress = value;

	prog = document.layers['installationProgress'];
	if (prog != null) prog.innerHTML = progress + " %";
	progress2 = progress / 10;
	progress2 = Math.floor(progress2);
	for (i=0; i < 10; i++)
	document.layers['progressCell'+i].className = "cell0";
	switch(progress2)
	{
	 case 10:
		document.layers['progressCell9'].className = "cell1";
	 case  9:
		document.layers['progressCell8'].className = "cell1";
	 case  8:
		document.layers['progressCell7'].className = "cell1";
	 case  7:
		document.layers['progressCell6'].className = "cell1";
	 case  6:
		document.layers['progressCell5'].className = "cell1";
	 case  5:
		document.layers['progressCell4'].className = "cell1";
	 case  4:
		document.layers['progressCell3'].className = "cell1";
	 case  3:
		document.layers['progressCell2'].className = "cell1";
	 case  2:
		document.layers['progressCell1'].className = "cell1";
	 case  1:
		document.layers['progressCell0'].className = "cell1";
	};
}

function addprogress(value)
{
        progress += value;
        if (progress > 100) {
            setprogress(100);
        } else {
            setprogress(progress);
        }
}
