<?php 
/**
 * Display a loading bar from 0 to 100% increase by step of 16%
 * with custom configuration.
 * 
 * @version    $Id: progress3.php,v 1.1.1.1 2003/07/27 12:36:05 Farell Exp $
 * @author     Laurent Laville <laurent.laville@worldonline.fr>
 * @package    HTML_Progress
 */

require_once ('HTML/Progress.php');

$p = new HTML_Page();
$p->setTitle("PEAR::HTML_Progress - Example 3");
$p->setMetaData("author", "Laurent Laville");

$layout = array(
	'width'         => '200px',
	'border-width'  => '1px',
	'border-color'  => 'navy',
	'cell-width'    => '10px',
	'active-color'  => '#3874B4',
	'inactive-color'=> '#EEEECC'
);

$bar = new HTML_Progress(&$p, $layout);
$bar->setText(true, array('size' => '14px'));

$css =& $bar->getStyle();
$css->setStyle('body', 'background-color', '#eeeeee');
$p->addStyleDeclaration(&$css);
$p->addBodyContent($bar->toHTML());
$p->display();

for ($i=0; $i<11; $i++) {
/*  You have to do something here  */
    $bar->display(16);
}

?>