<?php 
/**
 * Display a loading bar from 0 to 100% increase by step of 10%
 * with custom configuration.
 * 
 * @version    $Id: progress4.php,v 1.1.1.1 2003/07/27 12:36:05 Farell Exp $
 * @author     Laurent Laville <laurent.laville@worldonline.fr>
 * @package    HTML_Progress
 */

require_once ('HTML/Progress.php');

$layout = array(
	'width'         => '300px',
	'border-width'  => '1px',
	'cell-width'    => '20px',
	'active-color'  => '#970038',
	'inactive-color'=> '#FFDDAA'
);

$bar = new HTML_Progress(false, $layout);
$bar->setText(true, array('size' => '14px', 'color' => 'red'));

for ($i=0; $i<11; $i++) {
/*  You have to do something here  */
    $bar->display(10);
}

?>